libname pmr 'F:\aqtag\PMBooklet\Data';
libname staff 'd:\pm naaqs\summer04';
libname sp 'F:\aqtag\pm naaqs sp\data';
libname pmc 'D:\PM NAAQS\summer04\coarse';
data coarse98 (keep=site p98 size); set sp.Pmc_dv;
p98=pmcdv98;
size=2;
proc sort; by site;
data coarse98b;
merge coarse98 sp.meta; by site;
if size ne .;

data coarsemean (keep=site amean size); set pmc.Pmc_levbase_1284;
amean=round(annmeanpmc,.1);
size=2;
proc sort; by site;
data coarsemeanb;
merge coarsemean sp.meta; by site;
if size ne .;


data fine (keep=site amean p98 size); set  staff.Peaks_0103c (drop=state);
if numq_n11=12;
p98=round(dv_p98,1);
amean=round(dv_mean,.1);
if numq_n11=12;
*if site in ('180890022' '180970066' '180970043' '170311016' '171190023' '170990007'  
'440070020' '481410053' '291250001') then amean=.;
size=1;
proc sort; by site;
data fineb;
merge fine sp.meta; by site;
if size ne .;

data regsize; 
set coarse98b coarsemeanb fineb;
if pmreg ne 0;
run;


proc univariate data=fine; var amean; 
run;

proc sort; by pmreg size;

proc univariate noprint data=regsize;
by pmreg size;
where size in (1 2);
var amean;
output out=uniout min=MIN p5=PCT05 q1=PCT25 median=MEDIAN q3=PCT75
p95=PCT95 max=MAX mean=mmean n=n;
run;
proc means data=regsize; var amean; 
where size=1;
run;


data sp.boxdata_fc_amean;
set uniout;

proc sort data=uniout; by pmreg size;
data uniout2;
set uniout; by pmreg size;
if _N_=1 then level=1;
else level+1;

data a; set uniout2;
DO I=1 TO 10;
val=pct95; output;
val=pct05; output;
END;
do i=1 to 26;
val=pct25; output;
val=pct75; output;
val=median; output;
END;
VAL=MIN; OUTPUT;
VAL=MAX; OUTPUT;
run;

proc sql; select distinct pmreg,pmregdesc from sp.meta; quit;



proc univariate noprint data=regsize;
by pmreg size;
where size in (1 2);
var p98;
output out=uniout min=MIN p5=PCT05 q1=PCT25 median=MEDIAN q3=PCT75
p95=PCT95 max=MAX mean=mmean n=n;


data sp.boxdata_fc_p98;
set uniout;

proc sort data=uniout; by pmreg size;
data uniout2;
set uniout; by pmreg size;
if _N_=1 then level=1;
else level+1;

data b; set uniout2;
DO I=1 TO 10;
val=pct95; output;
val=pct05; output;
END;
do i=1 to 26;
val=pct25; output;
val=pct75; output;
val=median; output;
END;
VAL=MIN; OUTPUT;
VAL=MAX; OUTPUT;
run;
PROC UNIVARIATE NOPRINT data=b; BY LEVEL;
VAR VAL;
output out=FIXOUT min=MIN p5=PCT05 q1=PCT25 median=MEDIAN q3=PCT75
p95=PCT95 max=MAX mean=mmean n=n;
RUN;

