libname pmr 'F:\aqtag\PMBooklet\Data';
libname staff 'd:\pm naaqs\summer04';
libname sp 'F:\aqtag\pm naaqs sp\data';
libname pmc 'D:\PM NAAQS\summer04\coarse';

data coarsemean (keep=site pmf_amean pmt_amean rat in); set pmc.Pmc_levbase_1284;
pmf_amean=round(annmeanpmf,.1);
pmt_amean=round(annmeanpmt,.1);
rat=pmf_amean/pmt_amean;
in=1;
proc sort; by site;
data coarserat;
merge coarsemean sp.meta; by site;
if in=1;
if pmreg ne 0;
if pmreg=1 then ord=
run;

proc sort data=coarserat; by pmreg;
proc univariate noprint data=coarserat;
by pmreg;
var rat;
output out=uniout mean=pmc_2-Pmf n=n;
run;

data a; set uniout;
DO I=1 TO 10;
val=pct95; output;
val=pct05; output;
END;
do i=1 to 26;
val=pct25; output;
val=pct75; output;
val=median; output;
END;
VAL=MIN; OUTPUT;
VAL=MAX; OUTPUT;
run;


GOPTIONS reset=all dev=gif
GACCESS = GSASFILE ROTATE = LANDSCAPE colors=(black);
symbol i=box05t bwidth=5 v=star;
axis2 label=none order=(0 to 1.1 by .1) minor=none  c=black;
axis1 label=none value=none offset=(5) order=(1 to 7 by 1) minor=none;
filename gsasfile "d:\pm naaqs\summer04\box_ratio.gif";

proc gplot data=a;
plot val * pmreg /
vref=(.1 .2 .3 .4 .5 .6 .7 .8 .9 1.0)
lvref=3
haxis=axis1
vaxis=axis2;
run;
quit;