libname new 'd:\dv0103b';
LIBNAME R 'D:\SAS REFERENCE';
libname pmr 'F:\aqtag\PMBooklet\Data';
libname staff 'd:\pm naaqs\summer04';
libname sp 'F:\aqtag\pm naaqs sp\data';
libname pmc 'D:\PM NAAQS\summer04\coarse';
%let thresh=100;
%put **thresh**;
/*
data pmc (keep=in site st cou dv_p95 dv_p96 dv_p97 dv_p98 dv_p99); *set pmc.pmc_basnf_1284;
set sp.pmc_dv_extended;
IF SITE not IN ('090090018' '290970003' '295100092' '401010167' '440070020' '450430006' '450630009' 
'560050874' '560050885' '560050891' '560050894' '560050907');
dv_p95=round(pmcdv95,1);
dv_p96=round(pmcdv96,1);
dv_p97=round(pmcdv97,1);
dv_p98=round(pmcdv98,1);
dv_p99=round(pmcdv99,1);
st=substr(site,1,2);
cou=substr(site,3,3);
in=1;
proc sort; by site;
data a; merge pmc sp.allsites (keep=site pmreg pmregdesc ls_location_setting); by site;
if in=1;
if st='06' and cou='025' then do; pmreg=5; pmregdesc='Southwest'; end;
*if ls_location_setting ne 'RURAL';
run;
proc sort; by st cou;
data ref (keep=st cou state_name county_name);
set r.cbsa_reference; 
proc sort; by st cou;
data a2; merge a r.cbsa_reference;
by st cou;
if site ne ' ';
*if cbsa ne ' ';
run;
data a3; set a2; pmreg=9; pmregdesc='ZZAll';
data a4; set a2 a3;
run;
proc sort  data=a4; by pmreg pmregdesc ;
data a5; set a4; by pmreg pmregdesc st cou;
if first.cou;
proc sql; create table tot as select distinct pmreg,pmregdesc,count(*) as totcou, sum(county_population) as 
totpop from a5 group by pmreg,pmregdesc; quit;
run;
data b; merge a4 tot; by pmreg pmregdesc;
run;
*/

*get cty max 98th;
proc sort data=b; by pmreg pmregdesc st cou descending dv_p98;
data c5 (keep=pmreg pmregdesc st cou dv_p98 county_population totcou totpop); set b; by pmreg pmregdesc st cou descending dv_p98;
if first.cou;

*get cty max 99th;
proc sort data=b; by pmreg pmregdesc st cou descending dv_p99;
data c6 (keep=pmreg pmregdesc st cou dv_p99); set b; by pmreg pmregdesc st cou descending dv_p99;
if first.cou;

data c; merge c5 c6; by pmreg pmregdesc st cou;
run;

proc sql;
create table a98 as select distinct pmreg,pmregdesc,count(*) as ct98,count(*)/totcou as ct98p,sum(county_population)/1000 as pop98,
(sum(county_population))/totpop as pop98p from c where dv_p98 gt &thresh group by pmreg,pmregdesc; ; 
create table a99 as select distinct pmreg,pmregdesc,count(*) as ct99,count(*)/totcou as ct99p,sum(county_population)/1000 as pop99,
(sum(county_population))/totpop as pop99p from c where dv_p99 gt &thresh group by pmreg,pmregdesc; ; quit;
quit;
data all_&thresh; merge a99 a98;
by pmreg pmregdesc;
array it (8) ct99 ct99p pop99 pop99p ct98 ct98p pop98 pop98p;
do i=1to 8;
if it(i)=. then it(i)=0;
end;
thresh=&thresh;
run;

/*
data all;
retain thresh;
set tot all_100 all_95 all_90 all_85 all_80 all_75 all_70 all_65 all_60 all_55 all_50 all_45 all_40 all_35 ALL_30 ALL_25; 
run;

*/

