*CD annual mean map (B&W);
options mprint mlogic symbolgen;
libname pm 'F:\aqtag\lqn\PM10DesignValues\2003\output';
*libname maps v6 'I:\aqtag\Maps\Special Maps';
%include 'F:\aqtag\lqn\PMStaffPaper04\code\bwcntymap2.sas';
*goptions nocell device=cgmflwa hsize = 11.0 in vsize = 8.5 in hpos=100 vpos=100
  gaccess = gsasfile rotate = landscape;
*filename gsasfile "I:\aqtag\lqn\PMStaffPaper\output\bwpm10am.cgm";
* Annual;
/*
proc format;
value fmt
 low - 20="0 < x <= 20"
 20 <- 30="20 < x <= 30"
 30 <- 50="30 < x <= 50"
 50 <- high="x > 50";

data prep;
	 keep state county eaam;
	 set pm.pm102003appk_bysite09nov04;
	 if comp3yrs; *only sites with complete 3-year record;
	 state=input(substr(site,1,2),2.);
	 county=input(substr(site,3,3),3.);
proc sort; by state county;
proc univariate noprint;
	 by state county;
	 var eaam;
	 output out=one mean=ctyavg;
run;
proc univariate; var ctyavg; run;
%mapbw(one,ctyavg) run;
quit;
*/

* 24-hour;
proc format;
value fmt
 low - 50="0 < x <= 50"
 50 <- 75="50 < x <= 75"
 75 <- 150="75 < x <= 150"
 150 <- high="x > 150";

data prep;
	 keep state county p98;
	 merge pm.pm102003dvs_bysite09nov04 pm.pm102003appk_bysite09nov04;
	 by site poc;
	 if comp3yrs; *only sites with complete 3-year record;
	 state=input(substr(site,1,2),2.);
	 county=input(substr(site,3,3),3.);
proc sort; by state county descending p98;
data one;
	 set prep;
	 by state county descending p98;
	 if first.county;
run;
proc univariate; var p98; run;
%mapbw(one,p98) run;
quit;

