libname pmc 'D:\PM NAAQS\summer04\coarse';
libname pmr 'F:\aqtag\PMBooklet\Data';
libname staff 'd:\pm naaqs\summer04';
data a; set pmc.Coarseall_0103;
if dist_t in (0 . ) then colo=1;
if substr(meth_f,1,1) ='7' then cont=1;
IF COLO=1 AND CONT=.;
PROC SORT; BY SITE ZDATE;

proc sql; create table sites as select distinct site,count(*) as in from a;

data a; merge sites a; by site; if in ne .;
PROC MEANS NOPRINT;
BY SITE ZDATE;
VAR PMC PMT PMF;
OUTPUT OUT=DAY MEAN=PMC PMT PMF;
data day2; set day;
q=qtr(zdate);
year=year(zdate);
if year=2002 then q=q+4;
if year=2003 then q=q+8;
proc means noprint;
var pmc PMT PMF;
by site q;
output out=q n=n mean=pmc PMT PMF;
data q2;
length qc qcb qcc $10. qc2 $5.;
set q;
if q lt 10 then DO; qc='mean_pmc'||put(q,1.0); qcb='mean_pmt'||put(q,1.0); qcc='mean_pmf'||put(q,1.0); end;
else do; qc='mean_pmc'||put(q,2.0); qcb='mean_pmt'||put(q,2.0); qcc='mean_pmf'||put(q,2.0); end;
if q lt 10 then qc2='n_q'||put(q,1.0);
else qc2='n_q'||put(q,2.0);
run;
proc transpose data=q2 out=trans; by site;
var pmc;
id qc;
run;
proc transpose data=q2 out=transb; by site;
var pmt;
id qcb;
run;
proc transpose data=q2 out=transc; by site;
var pmf;
id qcc;
run;
proc transpose data=q2 out=trans2; by site;
var n;
id qc2;
data it; merge trans trans2 transb transc;
by site;

data allbut;
retain nq11 maxnq11;
array mn(12) mean_pmc1-mean_pmc12;
array mnb(12) mean_pmt1-mean_pmt12;
array mnc(12) mean_pmf1-mean_pmf12;
array nobs(12) n_q1-n_q12;
set it;
nq11=0;
maxnq11=0;
do i=1 to 12;

    if nobs(i) ge 11 then nq11+1;
    if nobs(i) lt 11 then do;
        if nq11 ne 0 then do;
            if nq11 ge 8 then nq11=8;
            else if nq11 ge 4 then nq11=4;
            maxnq11=max(of maxnq11 nq11);
            if maxnq11=nq11 then do; eq=i-1; bq=eq-nq11+1; end;
            nq11=0;
        end;
    end;
    else if i=12 then do;
            if nq11=12 then nq11=12;
            else if nq11 ge 8 then nq11=8;
            else if nq11 ge 4 then nq11=4;
            maxnq11=max(of maxnq11 nq11);
            if maxnq11=nq11 then do; eq=i; bq=eq-nq11+1; end;
    end;
if maxnq11 lt 4 then do; bq=0; eq=0; maxnq11=.; end;
end;

do i=1 to 12;
if i lt bq or i gt eq then do;
mn(i)=.;
mnb(i)=.;
mnc(i)=.;
nobs(i)=.;
end;
end;
annmeanpmc=mean(of mean_pmc1-mean_pmc12);
annmeanpmt=mean(of mean_pmt1-mean_pmt12);
annmeanpmf=mean(of mean_pmf1-mean_pmf12);
if annmeanpmc ne .;

run;

data pmc.pmc_levbase_1284;
set allbut;
run;
proc sort; by site;
data keepq (keep=site bq eq);
set allbut;
if annmeanpmc ne .;
proc sort; by site;

data tempraw; set a;
/*data pmc.Pmc_raw_dayagg_1284; set tempraw;*/
proc sort; by site;
run;

data t; merge keepq tempraw;
by site;
if q ge bq and q le eq;
run;
data pmc.pmc_rawbysite_colonocont_1284; set t;
run;
proc sort data=pmc.Pmc_raw_dayagg_1284; by site;
proc univariate noprint;
by site;
var pmc pmt pmf;
output out=uniout pctlpre=Pmc_ pmt_ pmf_ pctlpts=95 96 97 98 99;
data PMC.PMC_levbase_1284;
merge PMC.PMC_LEVbase_1284 uniout;
by site;
array p(15) pmc_95-pmc_99 pmt_95-pmt_99 pmf_95-pmf_99;
do i=1 to 15;
p(i)=round(p(i),1);
end;
st=substr(site,1,2);
cou=substr(site,3,3);
run;

;