libname staff 'd:\pm naaqs\summer04';
%let parm=64101;
proc sql; create table mon as select distinct MO_ID,SI_SI_ID AS SI_ID,
PA_PARAMETER_CODE AS PARM,POC from
aqs.MONITORS where parm="&parm" order by mo_id;
proc sort; by si_id;


proc sql; create table sites as select distinct SI_ID,
cc_cn_stt_state_code as st, cc_cn_county_code as cou, 
site_id as id from aqs.sites; QUIT;
data sites2 (keep=site si_id); set sites;
site=st||cou||id;


proc sort; by si_id;

data sitemon; merge mon sites; by si_id;
site=st||cou||id;
if parm ne ' ';


proc sql; create table daily as select distinct site,poc,daily_coll_date as datetime, mo_id,daily_arith_mean as value,
daily_obs_cnt as obs,sd_duration_code as duration from sitemon a, aqs.daily_summaries b where year(datepart(datetime)) in
(1999 2000) and a.mo_id=b.mo_mo_id and sd_duration_code in ('1' 'X');
quit;

data staff.p&parm.h24_9900; set daily; 
sdate=datepart(datetime);
run;