
libname pmc 'D:\PM NAAQS\summer04\coarse';
libname pmr 'F:\aqtag\PMBooklet\Data';
libname staff 'd:\pm naaqs\summer04';

data tempraw; set y.Pm25d12jul04colo;
if meth in (116 117 118 119 120 123 142 143 144 145);
if f1 in ('A' 'B' 'C' 'D' 'E' 'F' 'G' 'H' 'I' 'J' 'K' 'L' 'M' 'N' 'O' 'P' 'Q' 'R' 'S' 'U') then flag_f=f1;
else if  f2 in ('A' 'B' 'C' 'D' 'E' 'F' 'G' 'H' 'I' 'J' 'K' 'L' 'M' 'N' 'O' 'P' 'Q' 'R' 'S' 'U') then flag_f=f2;
*IF FLAG_F NE ' ';
proc sort; by site;
proc sql; create table aa as select distinct site,poc,count(*) as flagct from tempraw
where flag_f ne ' ' group by site;
quit;
proc sql; create table bb as select distinct site,poc,count(*) as tot from y.Pm25d12jul04colo
group by site;
quit;
/*
proc sql; create table roles as select distinct mo_mo_id as mo_id,sa_ag_agency_code as ro,
agency_role_begin_date from aqs.agency_roles where rol_role='REPORTING'; quit;
proc sort; by mo_id agency_role_begin_date;
data roles2; set roles; by mo_id agency_role_begin_date;
if last.mo_id;
run;
proc sql; create table agency as select distinct a.site,poc,ro from pmr.allmonitors a, roles2 b where a.mo_id=b.mo_id and a.pa_parameter_code='88101'
and ro ne ' ';
create table ro as select distinct ro from agency a, aa where a.site=aa.site and a.poc=aa.poc
and aa.flagct ne .;
proc sql;
create table sites as select distinct site,poc,b.ro from agency a, ro b where a.ro=b.ro;
quit;
*/
data fsites (keep= site dvnf_mean dvnf_p95 dvnf_p96 dvnf_p97 dvnf_p98 dvnf_p99
dv_mean dv_p95 dv_p96 dv_p97 dv_p98 dv_p99
flagct tot ro numq_n11
nall01 nall02 nall03 nnfall01 nnfall02 nnfall03
nvalid01 nvalid02 nvalid03 nnfvalid01 nnfvalid02 nnfvalid03)
nsites (keep=site);
merge staff.Peaks_0103c aa bb;* sites; by site poc;
if substr(site,1,5)='06073';
*if dv_mean lt 15.1;
*if ro ne ' ';
if flagct=. then flagct=0;
if numq_n11=12;
*if flagct ne 0;
*if flagct ne 0 then output fsites; *else output nsites;
run;
data fsites2; set fsites;
if dv_mean gt 15 and dvnf_mean le 15;
st=substr(site,1,2);
cou=substr(site,3,3);
proc sort; by st cou;
data fsites3; merge fsites2 r.cbsa_reference; by st cou;
if dv_mean gt 15;
run;

run;


data all (keep=site v flag_f zdate); merge fsites tempraw; by site;
if numq_n11=12;
if substr(site,1,5)='06073';
if flag_f ne ' ';
proc sort; by descending v;
run;
proc sql; select count(*) from staff.Peaks_0103c where numq_n11=12;
 quit;
proc sql; select distinct site,count(*) from fsites group by site having count(*) gt 1; quit;
data raw; set y.Pm25d12jul04colo;
if meth in (116 117 118 119 120 123 142 143 144 145);
if f1 in ('A' 'B' 'C' 'D' 'E' 'F' 'G' 'H' 'I' 'J' 'K' 'L' 'M' 'N' 'O' 'P' 'Q' 'R' 'S' 'U') then flag_f=f1;
else if  f2 in ('A' 'B' 'C' 'D' 'E' 'F' 'G' 'H' 'I' 'J' 'K' 'L' 'M' 'N' 'O' 'P' 'Q' 'R' 'S' 'U') then flag_f=f2;

proc sql; create table c as select distinct a.site,count(*) as ge95 from fsites a, raw b
where a.site=b.site and v ge dv_p95 group by a.site;
create table c2 as select distinct a.site,count(*) as ge95f from fsites a, raw b
where a.site=b.site and v ge dv_p95 and flag_f ne ' ' group by a.site;
quit;

proc sql; create table d as select distinct a.site,count(*) as ge96 from fsites a, raw b
where a.site=b.site and v ge dv_p96 group by a.site;
create table d2 as select distinct a.site,count(*) as ge96f from fsites a, raw b
where a.site=b.site and v ge dv_p96 and flag_f ne ' ' group by a.site;
quit;

proc sql; create table e as select distinct a.site,count(*) as ge97 from fsites a, raw b
where a.site=b.site and v ge dv_p97 group by a.site;
create table e2 as select distinct a.site,count(*) as ge97f from fsites a, raw b
where a.site=b.site and v ge dv_p97 and flag_f ne ' ' group by a.site;
quit;

proc sql; create table f as select distinct a.site,count(*) as ge98 from fsites a, raw b
where a.site=b.site and v ge dv_p98 group by a.site;
create table f2 as select distinct a.site,count(*) as ge98f from fsites a, raw b
where a.site=b.site and v ge dv_p98 and flag_f ne ' ' group by a.site;
quit;

proc sql; create table g as select distinct a.site,count(*) as ge99 from fsites a, raw b
where a.site=b.site and v ge dv_p99 group by a.site;
create table g2 as select distinct a.site,count(*) as ge99f from fsites a, raw b
where a.site=b.site and v ge dv_p99 and flag_f ne ' ' group by a.site;
quit;


data ge; merge fsites c c2 d d2 e e2 f f2 g g2;
by site;
array gef(5) ge95f ge96f ge97f ge98f ge99f;
do i=1 to 5;
if gef(i)=. then gef(i)=0;
end;
pf=flagct/tot;
pge95f=ge95f/ge95;
pge96f=ge96f/ge96;
pge97f=ge97f/ge97;
pge98f=ge98f/ge98;
pge99f=ge99f/ge99;
run;
proc univariate data=ge noprint;
var pf pge95f pge96f pge97f pge98f pge99f;
output out=tab n=n1-n6 mean=mean_f mean_f95-mean_f99 median=med_f med_f95-med_f99 q1=p25f p25f_95-p25f_99 q3=p75f p75f_95-p75f_99;
run;

data diff ;
set fsites;
array flag(6) dvnf_mean dvnf_p95 dvnf_p96 dvnf_p97 dvnf_p98 dvnf_p99;
array reg(6) dv_mean dv_p95 dv_p96 dv_p97 dv_p98 dv_p99;
array diff(6) diffmean diffp95 diffp96 diffp97 diffp98 diffp99;
*if substr(site,1,1) ne '7';
do i=1 to 6;
diff(i)=reg(i) - flag(i);
end;
run;
PROC TRANSPOSE DATA=DIFF; BY SITE;
run;

proc univariate DATA=DIFF noprint;
var diffmean diffp95 diffp96 diffp97 diffp98 diffp99 ;
output out=diff2
max=maxdiffmean maxdiffp95 maxdiffp96 maxdiffp97 mxdiffp98 maxdiffp99
mean=meandiffmean meandiffp95 meandiffp96 meandiffp97 meandiffp98 meandiffp99
min=mindiffmean mindiffp95 mindiffp96 mindiffp97 mindiffp98 mindiffp99
q1=q1diffmean q1diffp95 q1diffp96 q1diffp97 q1diffp98 q1diffp99
q3=q3diffmean q3diffp95 q3diffp96 q3diffp97 q3diffp98 q3diffp99
median=meddiffmean meddiffp95 meddiffp96 meddiffp97 meddiffp98 meddiffp99
p5=p5diffmean p5diffp95 p5diffp96 p5diffp97 p5diffp98 p5diffp99
p95=p95diffmean p95diffp95 p95diffp96 p95diffp97 p95diffp98 p95diffp99
n=ndiffmean ndiffp95 ndiffp96 ndiffp97 ndiffp98 ndiffp99;
RUN;


proc sql; create table flags as select distinct flag_f, count(*) as ct from tempraw  group by flag_f;
proc sort data=r.flags; by flag_f;
data flags2;
length flag_f $2.;
merge flags r.flags; by flag_f;
if ct ne .;
run;
proc sort; by flag_f;
proc sql; create table sitef as select distinct site,flag_f from tempraw; 
create table sitef2 as select distinct flag_f,count(*) as numsites from sitef group by flag_f;

data flags3; merge flags2 sitef2; by flag_f;

proc sort; by descending ct;
run;


proc sql; create table flags as select distinct flag_f, count(*) as ct from tempraw a,
fsites b where a.site = b.site group by flag_f;
proc sort data=r.flags; by flag_f;
data flags2;
length flag_f $2.;
merge flags r.flags; by flag_f;
if ct ne .;
run;
proc sort; by flag_f;
proc sql; create table sitef as select distinct a.site,flag_f from tempraw a, fsites b where a.site=b.site; 
create table sitef2 as select distinct flag_f,count(*) as numsites from sitef group by flag_f;

data flags4; merge flags2 sitef2; by flag_f;

proc sort; by descending ct;
run;
data fsites; set fsites; f=1;
proc sort data=fsites; by site;
data nsites; set nsites; n=1;
proc sort data=nsites; by site;
proc sort data=y.Pm25d12jul04colo; by site;
data merg; merge fsites nsites y.Pm25d12jul04colo; by site;
if n =1 or f=1;
data merg2; set merg;
if f=1 then lev=2;
else if n=1 then lev=3;
data flags; merge merg;
if f1 in ('A' 'B' 'C' 'D' 'E' 'F' 'G' 'H' 'I' 'J' 'K' 'L' 'M' 'N' 'O' 'P' 'Q' 'R' 'S' 'U') then flag_f=f1;
else if  f2 in ('A' 'B' 'C' 'D' 'E' 'F' 'G' 'H' 'I' 'J' 'K' 'L' 'M' 'N' 'O' 'P' 'Q' 'R' 'S' 'U') then flag_f=f2;
if flag_f ne ' ';
lev=4;
data merg3; set merg merg2 flags;
if lev=. then lev=1;
proc sql; select lev,count(*) from merg3 group by lev; quit;
proc sort data=merg3; by lev;
proc univariate noprint data=merg3;
by lev;
var v;
output out=uniout min=MIN p5=PCT05 q1=PCT25 median=MEDIAN q3=PCT75
p95=PCT95 max=MAX mean=mmean n=n;
run;
data a; set uniout;
DO I=1 TO 10;
val=pct95; output;
val=pct05; output;
END;
do i=1 to 26;
val=pct25; output;
val=pct75; output;
val=median; output;
END;
VAL=MIN; OUTPUT;
VAL=MAX; OUTPUT;
run;
GOPTIONS reset=all dev=gif
GACCESS = GSASFILE ROTATE = LANDSCAPE colors=(black);
symbol i=box05t bwidth=12 v=none;
axis1 label=none offset=(15) minor=none value=none;
axis2 label=none order=(0 to 80 by 10) c=black;
run;

filename gsasfile "d:\pmr\box_events_uni1.gif";

proc gplot data=a;
plot val * lev /
vref=(10 20 30 40 50 60 70)
lvref=3
haxis=axis1
vaxis=axis2;
run;
quit;

proc transpose data=uniout out=trans; run;
proc sql; create table site as select distinct site from merg3 where lev=3; quit;

proc transpose data =diff out=test;
id site;
run;

data finecomp (keep=site in); set staff.Peaks_0103c;
if numq_n11=12;
in=1;
run;
proc sort; by site;
proc sort data =y.Pm25d12jul04colo; by site;

data raw; merge y.Pm25d12jul04colo finecomp; by site;
if in=1;
if f1 in ('A' 'B' 'C' 'D' 'E' 'F' 'G' 'H' 'I' 'J' 'K' 'L' 'M' 'N' 'O' 'P' 'Q' 'R' 'S' 'U') then flag_f=f1;
else if  f2 in ('A' 'B' 'C' 'D' 'E' 'F' 'G' 'H' 'I' 'J' 'K' 'L' 'M' 'N' 'O' 'P' 'Q' 'R' 'S' 'U') then flag_f=f2;
run;
data raw; set y.Pm25d12jul04colo;
if f1 in ('A' 'B' 'C' 'D' 'E' 'F' 'G' 'H' 'I' 'J' 'K' 'L' 'M' 'N' 'O' 'P' 'Q' 'R' 'S' 'U') then flag_f=f1;
else if  f2 in ('A' 'B' 'C' 'D' 'E' 'F' 'G' 'H' 'I' 'J' 'K' 'L' 'M' 'N' 'O' 'P' 'Q' 'R' 'S' 'U') then flag_f=f2;
proc sort; by descending v;
data raw2; set raw (obs=1000); 
proc sql; select count(*) from raw2 where flag_f ne ' '; quit;

proc sql