libname pmr 'F:\aqtag\PMBooklet\Data';
libname staff 'd:\pm naaqs\summer04';
libname sp 'F:\aqtag\pm naaqs sp\data';
libname pmc 'D:\PM NAAQS\summer04\coarse';
%let parm= dv_mean;
%let thresh=12;
%put **&parm**;
%put **&thresh**;
%let thresh2=65;
%put **thresh2**;

data pmf (keep=in site st cou dv_p95 dv_p96 dv_p97 dv_p98 dv_p99 dv_mean); set  staff.Peaks_0103c;
dv_mean=round(dvnf_mean,.1);
dv_p95=round(dvnf_p95,1);
dv_p96=round(dvnf_p96,1);
dv_p97=round(dvnf_p97,1);
dv_p98=round(dvnf_p98,1);
dv_p99=round(dvnf_p99,1);
if numq_n11=12;
st=substr(site,1,2);
cou=substr(site,3,3);
if site in ('180890022' '180970066' '180970043' '170311016' '171190023' '170990007'  
'440070020' '481410053' '291250001') then dv_mean=1;
in=1;
proc sort; by site;
data a; merge pmf sp.meta; by site;
if in=1;
run;
proc sort; by st cou;
data ref (keep=st cou state_name county_name);
set r.cbsa_reference; 
proc sort; by st cou;
data a2; merge a r.cbsa_reference;
by st cou;
if site ne ' ';
if pmreg=0 then pmreg =9;
if st='06' and cou='025' then do; pmreg=5; pmregdesc='Southwest'; end;
data a3; set a2; pmreg=0; pmregdesc='ZZAll';
data a4; set a2 a3;
run;
proc sort  data=a4; by pmreg pmregdesc ;
data a5; set a4; by pmreg pmregdesc st cou;
if first.cou;
proc sql; create table tot as select distinct pmreg,pmregdesc,count(*) as totcou, sum(county_population) as 
totpop from a5 group by pmreg,pmregdesc; quit;
run;
data b; merge a4 tot; by pmreg pmregdesc;
run;
proc sort data=b; by pmreg pmregdesc st cou descending &parm;
data b2; set b;  by pmreg pmregdesc st cou descending &parm;
if first.cou;
run;

proc sql; 
create table ann&thresh as select distinct pmreg,pmregdesc,&thresh as thresh,count(*) as ct,
sum(county_population) as pop, count(*)/totcou as pcou,sum(county_population)/totpop as ppop
from b2 where &parm gt &thresh group by pmreg,pmregdesc;
quit;

/*
data all; set ann15 ann14 ann13 ann12;
proc sort; by pmreg thresh;
proc sql; 
create table reg as select distinct pmreg,pmregdesc from b2;
data levels;
do thresh=12 to 15;
output;
end;
proc sql; create table marry as select distinct * from reg,levels;
proc sort; by pmreg thresh;
data allann;merge all marry; by pmreg thresh;
run;
*/


*get cty max 98th;
proc sort data=b; by pmreg pmregdesc st cou descending dv_p98;
data c1 (keep=pmreg pmregdesc st cou dv_p98); set b; by pmreg pmregdesc st cou descending dv_p98;
if first.cou;

*get cty max 99th;
proc sort data=b; by pmreg pmregdesc st cou descending dv_p99;
data c2 (keep=pmreg pmregdesc st cou dv_p99); set b; by pmreg pmregdesc st cou descending dv_p99;
if first.cou;

data c; merge b2 c1 c2; by pmreg pmregdesc st cou;
run;

proc sql;
create table a98 as select distinct pmreg,pmregdesc,count(*) as ct98,count(*)/totcou as ct98p,sum(county_population)/1000 as pop98,
sum(county_population)/totpop as pop98p from c where &parm gt &thresh or dv_p98 gt &thresh2 group by pmreg,pmregdesc; 
create table a99 as select distinct pmreg,pmregdesc,count(*) as ct99,count(*)/totcou as ct99p,sum(county_population)/1000 as pop99,
sum(county_population)/totpop as pop99p from c where &parm gt &thresh or dv_p99 gt &thresh2 group by pmreg,pmregdesc; 
quit;

data all_&thresh._&thresh2; merge a99 a98; by pmreg pmregdesc;
thresh=&thresh;
thresh2=&thresh2;
run;


/*data all&thresh;
retain thresh thresh2;
set all_&thresh._65 all_&thresh._50 all_&thresh._45 all_&thresh._40 all_&thresh._35 all_&thresh._30 all_&thresh._25;
run;


data all; set all15 all14 all13 all12; run;
proc sort; by pmreg thresh thresh2;
proc sql; 
create table reg as select distinct pmreg,pmregdesc from b2;
data levels;
in=1;
do thresh=12 to 15;
thresh2=65;
output;
do thresh2=25 to 50 by 5;
output;
end;
end;
proc sql; create table marry as select distinct * from reg,levels;
proc sort; by pmreg thresh thresh2;
data allcombo;merge all marry; by pmreg thresh thresh2;
run;

*/